package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Shawn
 */
public interface B16ToB19Mapper {

    int SetB16ToB19StatusInfo(@Param("userName") String userName, @Param("unitId") String unitId, @Param("monthId") String monthId);

    int insertB16One(B16 b16);

    int insertB17One(B17 b17);

    int insertB18One(B18 b18);

    int insertB19One(B19 b19);

    /**
     * 新增表b16字段 `员工id`
     */
    void addUserIdB16Column();

    /**
     * 查询表b16所有
     */
    List<B16> selectB16All();

    /**
     * 批量表b16更新
     * @param list
     */
    void updateB16List(List<B16> list);

    /**
     * 查询表b16_to_b19_status所有
     * @return
     */
    List<B16ToB19Status> selectB16ToB19StatusAll();

    /**
     * 新增表b16_to_b19_status字段 `员工id`
     */
    void addUserIdB16TOB19StatusColumn();

    /**
     * 批量表b16_to_b19_status更新
     * @param list
     */
    void updateB16TOB19StatusList(List<B16ToB19Status> list);

    void addUserIdB17Column();

    List<B17> selectB17All();

    void updateB17List(List<B17> b15List);

    void addUserIdB18Column();

    List<B18> selectB18All();

    void updateB18List(List<B18> b15List);

    void addUserIdB19Column();

    List<B19> selectB19All();

    void updateB19List(List<B19> b15List);
}
